# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "arbhx-vfs"
version = "1.3.1"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "An advanced VFS layer for Arbhx."
homepage = "https://ericg2.github.io/"
readme = "README.md"
keywords = ["vfs"]
categories = ["filesystem"]
license = "MIT OR Apache-2.0"
repository = "https://github.com/ericg2/arbhx"

[lib]
name = "arbhx_vfs"
path = "src/lib.rs"

[dependencies.arbhx-core]
version = "3"

[dependencies.async-trait]
version = "0.1.89"

[dependencies.bitflags]
version = "2.11.0"

[dependencies.bytes]
version = "1.11.1"

[dependencies.bytesize]
version = "2.3.1"

[dependencies.chrono]
version = "0.4.44"
features = ["serde"]

[dependencies.futures-lite]
version = "2.6.1"

[dependencies.hex]
version = "0.4.3"

[dependencies.log]
version = "0.4.29"

[dependencies.moka]
version = "0.12.15"
features = ["future"]

[dependencies.serde]
version = "1.0.228"
features = ["derive"]

[dependencies.sha2]
version = "0.11.0"

[dependencies.simplelog]
version = "0.12.2"

[dependencies.thiserror]
version = "2.0.18"

[dependencies.tokio]
version = "1"
features = ["full"]

[dependencies.uuid]
version = "1.23.0"
features = ["v4"]

[dev-dependencies.arbhx-local]
version = "=0.4.2"
